Subject: [PATCH 1/2] ARM: make virt_to_idmap() return unsigned long

From: [email-masked] (santosh.shilimkar at oracle.com)
Date: Tue, 26 Jan 2016 20:27:52 -0800

On 1/26/16 10:21 AM, Russell King wrote:
> Make virt_to_idmap() return an unsigned long rather than phys_addr_t.
>
> Returning phys_addr_t here makes no sense, because the definition of
> virt_to_idmap() is that it shall return a physical address which maps
> identically with the virtual address.  Since virtual addresses are
> limited to 32-bit, identity mapped physical addresses are as well.
>
> Almost all users already had an implicit narrowing cast to unsigned long
> so let's make this official and part of this interface.
>
> Signed-off-by: Russell King <[email-masked]>
> ---
Looks correct to me.

Vitaly,
Could you please try out this patch and see everything continue to
work ?

Regards,
Santosh